Bug 16490 - ASSERT in ~FrameView while viewing/reloading WICD test case
Summary: ASSERT in ~FrameView while viewing/reloading WICD test case
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL: http://www.w3.org/2004/CDF/TestSuite/...
Keywords: NeedsReduction
Depends on:
Blocks: 15836 16491 16626
  Show dependency treegraph
 
Reported: 2007-12-17 15:12 PST by Eric Seidel (no email)
Modified: 2007-12-27 12:54 PST (History)
2 users (show)

See Also:


Attachments
Balance pauseScheduledEvents() with resumeScheduledEvents() (1.22 KB, patch)
2007-12-26 12:29 PST, mitz
no flags Details | Formatted Diff | Diff
Balance pauseScheduledEvents() with resumeScheduledEvents() (5.17 KB, patch)
2007-12-27 10:57 PST, mitz
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-12-17 15:12:18 PST
ASSERT while viewing/reloading WICD test case

ASSERTION FAILED: d->m_scheduledEvents.isEmpty() && !d->m_enqueueEvents
(/Stuff/Projects/WebKit/WebCore/page/FrameView.cpp:158 virtual WebCore::FrameView::~FrameView())


Process:         Safari [72017]
Path:            /Applications/Safari.app/Contents/MacOS/Safari
Identifier:      com.apple.Safari
Version:         3.0.4 (5523.10)
Build Info:      WebBrowser-55231000~1
Code Type:       X86 (Native)
Parent Process:  perl [72014]

Date/Time:       2007-12-17 15:09:40.893 -0800
OS Version:      Mac OS X 10.5.1 (9B18)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000bbadbeef
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.WebCore             	0x01ca5a4d WebCore::FrameView::~FrameView() + 281 (FrameView.cpp:158)
1   com.apple.WebCore             	0x01b72ff8 WebCore::FrameView::deref() + 60 (FrameView.h:59)
2   com.apple.WebCore             	0x01b7331e WTF::RefPtr<WebCore::FrameView>::operator=(WebCore::FrameView*) + 56 (RefPtr.h:111)
3   com.apple.WebCore             	0x01c7e71f WebCore::Frame::setView(WebCore::FrameView*) + 245 (Frame.cpp:250)
4   com.apple.WebCore             	0x020a8c92 -[WebCoreFrameBridge createFrameViewWithNSView:marginWidth:marginHeight:] + 46 (WebCoreFrameBridge.mm:315)
5   com.apple.WebKit              	0x001b2c84 WebFrameLoaderClient::transitionToCommittedForNewPage() + 566 (WebFrameLoaderClient.mm:1055)
6   com.apple.WebCore             	0x01c9962e WebCore::FrameLoader::transitionToCommitted(WTF::PassRefPtr<WebCore::CachedPage>) + 862 (FrameLoader.cpp:2628)
7   com.apple.WebCore             	0x01c99de5 WebCore::FrameLoader::commitProvisionalLoad(WTF::PassRefPtr<WebCore::CachedPage>) + 241 (FrameLoader.cpp:2543)
8   com.apple.WebCore             	0x01c2f1d8 WebCore::DocumentLoader::commitIfReady() + 94 (DocumentLoader.cpp:309)
9   com.apple.WebCore             	0x01c2f209 WebCore::DocumentLoader::commitLoad(char const*, int) + 35 (DocumentLoader.cpp:350)
10  com.apple.WebCore             	0x01c2f45c WebCore::DocumentLoader::receivedData(char const*, int) + 76 (DocumentLoader.cpp:364)
11  com.apple.WebCore             	0x01c89e83 WebCore::FrameLoader::receivedData(char const*, int) + 41 (FrameLoader.cpp:2204)
12  com.apple.WebCore             	0x01e95180 WebCore::MainResourceLoader::addData(char const*, int, bool) + 80 (MainResourceLoader.cpp:126)
13  com.apple.WebCore             	0x01f893ad WebCore::ResourceLoader::didReceiveData(char const*, int, long long, bool) + 83 (ResourceLoader.cpp:230)
14  com.apple.WebCore             	0x01e9545e WebCore::MainResourceLoader::didReceiveData(char const*, int, long long, bool) + 282 (MainResourceLoader.cpp:278)
15  com.apple.WebCore             	0x01f88f86 WebCore::ResourceLoader::didReceiveData(WebCore::ResourceHandle*, char const*, int, int) + 62 (ResourceLoader.cpp:358)
16  com.apple.WebCore             	0x01f8681b -[WebCoreResourceHandleAsDelegate connection:didReceiveData:lengthReceived:] + 209 (ResourceHandleMac.mm:435)
17  com.apple.Foundation          	0x9011fe57 -[NSURLConnection(NSURLConnectionReallyInternal) sendDidReceiveData:originalLength:] + 119
18  com.apple.Foundation          	0x9011fdbe _NSURLConnectionDidReceiveData + 94
19  com.apple.CFNetwork           	0x92f7c39b sendDidReceiveDataCallback + 518
20  com.apple.CFNetwork           	0x92f7980f _CFURLConnectionSendCallbacks + 1457
21  com.apple.CFNetwork           	0x92f791e3 muxerSourcePerform + 283
22  com.apple.CoreFoundation      	0x9525764e CFRunLoopRunSpecific + 3166
23  com.apple.CoreFoundation      	0x95257d38 CFRunLoopRunInMode + 88
24  com.apple.HIToolbox           	0x94f0d8a4 RunCurrentEventLoopInMode + 283
25  com.apple.HIToolbox           	0x94f0d6bd ReceiveNextEventCommon + 374
26  com.apple.HIToolbox           	0x94f0d531 BlockUntilNextEventMatchingListInMode + 106
27  com.apple.AppKit              	0x93ae3d5b _DPSNextEvent + 657
28  com.apple.AppKit              	0x93ae36a0 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
29  com.apple.Safari              	0x00009d4e 0x1000 + 36174
30  com.apple.AppKit              	0x93adc6d1 -[NSApplication run] + 795
31  com.apple.AppKit              	0x93aa99ba NSApplicationMain + 574
32  com.apple.Safari              	0x00002876 0x1000 + 6262

Thread 1:
0   libSystem.B.dylib             	0x96793ace __semwait_signal + 10
1   libSystem.B.dylib             	0x967bdced pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x020912fb WebCore::ThreadCondition::wait(WebCore::Mutex&) + 39 (ThreadingPthreads.cpp:184)
3   com.apple.WebCore             	0x01d2b0a9 WebCore::IconDatabase::syncThreadMainLoop() + 641 (IconDatabase.cpp:1313)
4   com.apple.WebCore             	0x01d2c8c4 WebCore::IconDatabase::iconDatabaseSyncThread() + 1198 (IconDatabase.cpp:1015)
5   com.apple.WebCore             	0x01d2c8f3 WebCore::IconDatabase::iconDatabaseSyncThreadStart(void*) + 23 (IconDatabase.cpp:919)
6   libSystem.B.dylib             	0x967bd075 _pthread_start + 321
7   libSystem.B.dylib             	0x967bcf32 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x967dbf5a select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x967bd075 _pthread_start + 321
2   libSystem.B.dylib             	0x967bcf32 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x9678c8e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x967940dc mach_msg + 72
2   com.apple.CoreFoundation      	0x952570fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95257d38 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x92f747c2 CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x967bd075 _pthread_start + 321
6   libSystem.B.dylib             	0x967bcf32 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x9678c8e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x967940dc mach_msg + 72
2   com.apple.CoreFoundation      	0x952570fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95257d38 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x9011e560 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x900bb04d -[NSThread main] + 45
6   com.apple.Foundation          	0x900babf4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x967bd075 _pthread_start + 321
8   libSystem.B.dylib             	0x967bcf32 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x967f595a __workq_ops + 10
1   libSystem.B.dylib             	0x967f598a start_wqthread + 30

Thread 6:

Thread 7:
0   libSystem.B.dylib             	0x9678c8e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x967940dc mach_msg + 72
2   com.apple.CoreFoundation      	0x952570fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95257d38 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x900ef5b5 -[NSRunLoop(NSRunLoop) runMode:beforeDate:] + 213
5   com.apple.Foundation          	0x900fb6d4 -[NSRunLoop(NSRunLoop) run] + 84
6   com.apple.Safari              	0x0004edd0 0x1000 + 318928
7   com.apple.Foundation          	0x900bb04d -[NSThread main] + 45
8   com.apple.Foundation          	0x900babf4 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x967bd075 _pthread_start + 321
10  libSystem.B.dylib             	0x967bcf32 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xbbadbeef  ebx: 0x01ca5940  ecx: 0x00000000  edx: 0x00000000
  edi: 0x1ab12670  esi: 0xffffffff  ebp: 0xbfffda38  esp: 0xbfffda00
   ss: 0x0000001f  efl: 0x00010282  eip: 0x01ca5a4d   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0xbbadbeef

Binary Images:
    0x1000 -   0x12efef  com.apple.Safari 3.0.4 (5523.10) <c10a33847b3bae1843862f299f82c6ab> /Applications/Safari.app/Contents/MacOS/Safari
  0x176000 -   0x275fe3  com.apple.WebKit 525.1+ (525.1+) <c3cb2841a6e5314812e237cb4e32bc08> /Stuff/Users/eric/Projects/build/Debug/WebKit.framework/Versions/A/WebKit
  0x3f3000 -   0x401ff8  SyndicationUI ??? (???) <8adc35e1eb5001dead3c18ee25f2e8db> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x410000 -   0x4e3ffb  com.apple.JavaScriptCore 525.1+ (525.1+) <dd5fae787415a6a7755f1647c0e945a9> /Stuff/Users/eric/Projects/build/Debug/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x69b000 -   0x69dfff +net.culater.SIMBL 0.8.2 (8) /Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL
  0x6ee000 -   0x6eeffe  com.apple.JavaPluginCocoa 12.0.0 (12.0.0) <02a9f23a8bfc902c32ac0adfb66d6816> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
  0x8ca000 -   0x8cfff3  libCGXCoreImage.A.dylib ??? (???) <978986709159e5fe9e094df5efddac1d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
 0x1ae0000 -  0x23bfff0  com.apple.WebCore 525.1+ (525.1+) <14d4c3d045748da70a3b5d470fe68a0f> /Stuff/Users/eric/Projects/build/Debug/WebCore.framework/Versions/A/WebCore
 0x35c0000 -  0x36a6ff7  com.apple.RawCamera.bundle 2.0 (2.0) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x18c81000 - 0x18c9dfe7  libPDFRIP.A.dylib ??? (???) <804fa9fc9690fe05251feb8eab1fdca8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libPDFRIP.A.dylib
0x190dd000 - 0x190e2fff  com.apple.DictionaryServiceComponent 1.1 (1.1) <8edc1180f52db18e9ddfb4e95debe61b> /System/Library/Components/DictionaryService.component/Contents/MacOS/DictionaryService
0x19d43000 - 0x19db0fff +com.DivXInc.DivXDecoder 6.6.0 (6.6.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x19fa2000 - 0x19fa9ffd  com.apple.JavaVM 12.0.0 (12.0.0) <44b9536fe4d7c7fcb3506adb695a180f> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x8fe00000 - 0x8fe2d883  dyld 95.3 (???) <81592e798780564b5d46b988f7ee1a6a> /usr/lib/dyld
0x90003000 - 0x9002bff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x9002c000 - 0x90040ff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x900b1000 - 0x9032afe7  com.apple.Foundation 6.5.1 (677.1) <85ac18c7cd454378db6122bea0c00965> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x9032b000 - 0x903b7ff7  com.apple.LaunchServices 284 (284) <0fb50a7a6fd38875f727fc2592a496e4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x903b8000 - 0x903dcfff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x90499000 - 0x9057dffb  com.apple.CoreData 100 (185) <a4e63784275e25e62f57e75e0af0b94d> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x90590000 - 0x90604fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x90605000 - 0x9063bfef  libtidy.A.dylib ??? (???) <e4d3e7399fb83d7f145f9b4ec8196242> /usr/lib/libtidy.A.dylib
0x9063c000 - 0x90657ffb  libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x90658000 - 0x906fffff  com.apple.QD 3.11.50 (???) <e2f71720ae1dad06a8883ac80775b21a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x90700000 - 0x9075aff7  com.apple.CoreText 2.0.0 (???) <7fa39cd5bc847615ec02e7c7a37c0508> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9075b000 - 0x907e2ff7  libsqlite3.0.dylib ??? (???) <273efcb717e89c21207c851d7d33fda4> /usr/lib/libsqlite3.0.dylib
0x907e3000 - 0x90875ff3  com.apple.ApplicationServices.ATS 3.0 (???) <fb5f572243dbc370a0ea5efc8e81ae11> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90876000 - 0x90c0cff7  com.apple.QuartzCore 1.5.1 (1.5.1) <deb61cbeb3f734a1b2f4669f6268b9de> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x90c3e000 - 0x91abeff2  com.apple.QuickTimeComponents.component 7.3 (7.3) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x91abf000 - 0x91ac6ff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x91ac7000 - 0x91afdfff  com.apple.SystemConfiguration 1.9.0 (1.9.0) <7919d9588c3b0d556646e555b7193f1f> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91c7a000 - 0x91c99ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91c9a000 - 0x91caaffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91cab000 - 0x91cfbff7  com.apple.HIServices 1.6.0 (???) <d74aa73e4cfd30a08fb169198a8d2539> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91cfc000 - 0x91cfefff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x91d0b000 - 0x91d0cfef  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x91d21000 - 0x921edffe  libGLProgrammability.dylib ??? (???) <e8bc0af671427cf2b6279a035805a086> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x921ee000 - 0x92253ffb  com.apple.ISSupport 1.6 (34) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x92254000 - 0x92612fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92b7a000 - 0x92b7cfff  com.apple.CrashReporterSupport 10.5.0 (156) <3088b785b10d03504ed02f3fee5d3aab> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x92b7d000 - 0x92bf7ff8  com.apple.print.framework.PrintCore 5.5 (245) <9441d178f4b430cf92b67bf346646693> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x92bf8000 - 0x92dc1fef  com.apple.security 5.0.1 (32736) <8c9eda0fcc1d8a571543025ac900715f> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x92dc2000 - 0x92de9fff  libcups.2.dylib ??? (???) <6b61eb99e6f5dd2d66cd224e9f82427d> /usr/lib/libcups.2.dylib
0x92dea000 - 0x92f68fff  com.apple.AddressBook.framework 4.1 (687) <3f005092d08e963eabe8f7f66c09cc1e> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x92f69000 - 0x92fe0fe3  com.apple.CFNetwork 220 (220) <0ae8fbcbadcb9bd8d673aa4531c0fcfc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x92fe1000 - 0x92ff0ffe  com.apple.DSObjCWrappers.Framework 1.2 (1.2) <f5b58d1d3a855a63d493ccbec417a1e9> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x92ff1000 - 0x93007fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x93075000 - 0x9307cfff  com.apple.agl 3.0.9 (AGL-3.0.9) <7dac4a7cb0de2f6d08ae71c1249379e3> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9307d000 - 0x93088fe7  libCSync.A.dylib ??? (???) <df82fc093e498a9eb5490761cb292218> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9308f000 - 0x93095fff  com.apple.print.framework.Print 218 (220) <c35172175abbe554ddadd9b6401351fa> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93096000 - 0x93112feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9326a000 - 0x932b4fe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x932b5000 - 0x932bffeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9330e000 - 0x9371efef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9371f000 - 0x93857ff7  libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib
0x93858000 - 0x93858ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9385e000 - 0x9390dfff  com.apple.DesktopServices 1.4.3 (1.4.3) <66d5ed56111c43d234e235d365d02469> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9391b000 - 0x93945fef  libauto.dylib ??? (???) <d468bc4a8a69343f1748c293db1b57fb> /usr/lib/libauto.dylib
0x93946000 - 0x9398bfef  com.apple.Metadata 10.5.0 (398) <4fd74fba0062c2e08ec4b1c10b40ff63> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9398c000 - 0x93a42fe3  com.apple.CoreServices.OSServices 210.2 (210.2) <4ed69f07fc0f211ab32d1ee96e281fc2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x93a75000 - 0x93a75ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x93a76000 - 0x93a7dffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x93a7e000 - 0x93aa2feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x93aa3000 - 0x9429dfef  com.apple.AppKit 6.5 (949) <f8d0f6d0bb5ac092f48f42ca684bdb54> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9429e000 - 0x9437fff7  libxml2.2.dylib ??? (???) <450ec38b57fb46013847cce851001a2f> /usr/lib/libxml2.2.dylib
0x94398000 - 0x943f4ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x944ea000 - 0x944eaffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x944f1000 - 0x944f1ffd  com.apple.Accelerate.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x946ae000 - 0x946c6fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x946c7000 - 0x946c7ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x946c8000 - 0x94701ffe  com.apple.securityfoundation 3.0 (32768) <1e9885d63ced51f81bc1f39af624637d> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x94702000 - 0x94706fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x94726000 - 0x94735fff  libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib
0x94736000 - 0x94a48fe2  com.apple.QuickTime 7.3.0 (7.3.0) <adfe6f92ffe38bc57df6b8cb2e6ea9d9> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94a49000 - 0x94a51fff  com.apple.DiskArbitration 2.2 (2.2) <1551b2af557fdf6f368f93e093933852> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x94a52000 - 0x94aafffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x94ab0000 - 0x94addfeb  libvDSP.dylib ??? (???) <a26683d121ee0f96df9a9d0bfca36049> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x94ade000 - 0x94bdffff  com.apple.PubSub 1.0.1 (59) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x94bee000 - 0x94bf9ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x94cda000 - 0x94da1ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x94da2000 - 0x94e52fff  edu.mit.Kerberos 6.0.11 (6.0.11) <33c25789baedcd70a7e24881775dd9ad> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x94e53000 - 0x94eddfff  com.apple.framework.IOKit 1.5.1 (???) <5176a7383151a19c962334009fef2c6d> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x94ede000 - 0x951e4fff  com.apple.HIToolbox 1.5.0 (???) <1b872a7151ee3f80c9c736a3e46d00d9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x951e5000 - 0x95317fe7  com.apple.CoreFoundation 6.5 (476) <8bfebc0dbad6fc33bea0fa00a1b9ec37> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x95318000 - 0x959affef  com.apple.CoreGraphics 1.351.0 (???) <7a6f399039eed6dbe845c169f7d21a70> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x959b0000 - 0x959edff7  libGLImage.dylib ??? (???) <202d73e6a4688fc06ff11b71910c2ce7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x95c57000 - 0x95c57ffd  com.apple.Accelerate 1.4 (Accelerate 1.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x95c58000 - 0x95d23fff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x95d24000 - 0x95d29fff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x95dc9000 - 0x95dcefff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x95dcf000 - 0x95dd2fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x95dd3000 - 0x95e2cfff  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x95e6b000 - 0x95e81fe7  com.apple.CoreVideo 1.5.0 (1.5.0) <8947e88900afa1d2ca78b69bff98b0d7> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x95e82000 - 0x95e82ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x95e83000 - 0x95e84ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x95ed2000 - 0x95f51ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x95f52000 - 0x96031fff  libobjc.A.dylib ??? (???) <5eda47fec2d0e7853b3506aa1fd2dafa> /usr/lib/libobjc.A.dylib
0x96032000 - 0x96034ff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x96035000 - 0x96043ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x9609d000 - 0x960defe7  libRIP.A.dylib ??? (???) <bdc6d70bf4ed3dace321b4ff76a353b3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x960df000 - 0x96121fef  com.apple.NavigationServices 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x9615f000 - 0x9616cfe7  com.apple.opengl 1.5.5 (1.5.5) <aa08b52d2a84b44dc6ee5d544a53fe8a> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9616d000 - 0x9617dfff  com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x96181000 - 0x96188fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x96215000 - 0x96221ff5  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x9622c000 - 0x96371ff7  com.apple.ImageIO.framework 2.0.0 (2.0.0) <154d4d8cda2bd99518cbabc9f2d69833> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x96372000 - 0x9637bfff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x96399000 - 0x964bdfe3  com.apple.audio.toolbox.AudioToolbox 1.5 (1.5) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x96568000 - 0x96586ff3  com.apple.DirectoryService.Framework 3.5 (3.5) <899d8c9ee31b004a6ff73dab88982b1a> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x96587000 - 0x965b6fe3  com.apple.AE 402 (402) <994ba8e884aefe7bf1fc5987df099e7b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x965b7000 - 0x965f6fef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x965fc000 - 0x9668ffff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x96690000 - 0x9672efef  com.apple.QuickTimeImporters.component 7.3 (7.3) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x9672f000 - 0x96769ff7  com.apple.coreui 0.1 (60) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x9676a000 - 0x96788fff  libresolv.9.dylib ??? (???) <54e6a08c2f108bdf5916fb483d51961b> /usr/lib/libresolv.9.dylib
0x96789000 - 0x96789ffd  com.apple.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9678a000 - 0x9678afff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9678c000 - 0x968e6fe3  libSystem.B.dylib ??? (???) <8ecc83dc0399be3946f7a46e88cf4bbb> /usr/lib/libSystem.B.dylib
0x968e8000 - 0x96bc1fe7  com.apple.CoreServices.CarbonCore 783 (783) <8370e664eeb25edc98d5c1f5405b06ae> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x96bc2000 - 0x96bf4fff  com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x96cbb000 - 0x96d6dffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib
Comment 1 Eric Seidel (no email) 2007-12-17 15:17:18 PST
This reproduces for me every time after a couple reloads.
Comment 2 mitz 2007-12-26 12:29:23 PST
Created attachment 18117 [details]
Balance pauseScheduledEvents() with resumeScheduledEvents()

In this case the timer is activated by an inner layout(), so the outer layout has paused but will not resume.
Comment 3 mitz 2007-12-27 10:57:28 PST
Created attachment 18131 [details]
Balance pauseScheduledEvents() with resumeScheduledEvents()

Simplified and add a layout test that fails even in unpatched release builds.
Comment 4 Eric Seidel (no email) 2007-12-27 12:51:08 PST
Comment on attachment 18131 [details]
Balance pauseScheduledEvents() with resumeScheduledEvents()

This fixes the bug.  I don't like this sort of order-sensitive design however (completely not your fault).  In the future, I would love to see this code move to some sort of stack object which would do the pausing for us since all (except maybe the one which pauses before the timer and resumes after) could use a stack object instead of manual calls.

Something like:
ScheduledEventsPauser(frameView);

(awful name, I know)
Comment 5 mitz 2007-12-27 12:54:42 PST
Fixed in <http://trac.webkit.org/projects/webkit/changeset/29002>.